<?php
/** @var \Os\OlNews\Block\Widget\News $block */
$posts = $block->getPosts();
?>

<?php var_dump($block->getData('quantity')); ?>

<div id="olnews">
    <h2>News</h2>
    <div class="olnews-list">
        <?php if ($posts): ?>
            <?php foreach ($posts as $post): ?>
                <article>
                    <img src="<?php echo $post->getImage(); ?>" alt="<?php echo $post->getTitle(); ?>">
                    <p><?php echo $post->getTitle(); ?></p>
                </article>
            <?php endforeach; ?>
        <?php endif; ?>
    </div>
</div>
